import {NodeContext as NodeContext2} from "../../poly/NodeContext";
import {NodeParamsConfig} from "../utils/params/ParamsConfig";
import {TypedNode} from "../_Base";
class ParamLessNetworkRopParamsConfig extends NodeParamsConfig {
}
export class BaseNetworkRopNode extends TypedNode {
  static nodeContext() {
    return NodeContext2.ROP;
  }
  cook() {
    this.cookController.end_cook();
  }
}
export class ParamLessBaseNetworkRopNode extends BaseNetworkRopNode {
}
